<script setup>
import { ref, onMounted } from 'vue';

const message = ref(`'You loaded this page on ${new Date().toLocaleString()}`);
const counter = ref(0);
const resetCounter = () => {
  counter.value = 0;
};
onMounted(() => {
  setInterval(() => {
    if (counter.value++ == 9) {
      counter.value = 0;
    }
  }, 1000)
});
</script>

<template>
  <div class="content ml-6 mt-6" id="root">
    <h1 class="title">es008 mounting vite</h1>
    <p v-bind:title="message">Vediamo qualcosa sul <i>lifecycle</i></p>
    <p>
      <button class="button is-light mr-1" v-on:click="resetCounter">{{counter}}</button>
    </p>
  </div>
</template>

<style>
@import 'https://cdn.jsdelivr.net/npm/bulma@1.0.0/css/bulma.min.css';
</style>
